Subject: bug#47843: 28.0.50; Setting enable-local-variables to nil *appears* to inhibit lexical-binding (but doesn't)

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 10 May 2021 12:42:02 +0200

Stefan Monnier <[email-masked]> writes:

>> But then filter out all variables except the ones in this new list in
>> `hack-local-variables-filter' (if `enable-local-variables' is nil)?
>
> Sounds about right.

I've now done something along these lines.  `hack-local-variables' was a
long and convoluted function, though, so hopefully I didn't mess
something up too badly.  I refactored it greatly, though, so it should
now be somewhat clearer.

>> The new list could be called...  uhm...
>> `permanently-enabled-local-variables'?
>
> I like mine pink with grey octagons.

If somebody wants to repaint it a different colour, that's fine by me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no